View Issue Details

IDProjectCategoryView StatusLast Update
0004953unrealircdpublic2017-05-31 23:52
ReporterHeXiLeDAssigned Tosyzop 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSAny:OS VersionLatest stable
Product Version4.0.12 
Target VersionFixed in Version4.0.12.1 
Summary0004953: Usermode secureonlymsg failure to fucntion properly with users at 2 server hops away
DescriptionThis is very similar to the problem described here:
https://bugs.unrealircd.org/view.php?id=4952

Network layout:
/Links
hub2 hub1 :2
services hub0 :1
hub1 hub0 :1
hub0 hub0 :0

/Map
hub0
|-services
`-hub1
 `-hub2


All hubs have the same exact configuration.

All ircds compiled with the same support and modules


User modes at the time of testing +iwrsxztZpT
* All users connected with ssl <<<------


Module:
*** usermodes/secureonlymsg - 4.0 (User Mode +Z)


Server links, using TLS and establish connection using different ssl servers om the ones used for client connection.

Users on hub0 and hub1 are unable to msg or notice users on hub2

Cannot send to user migs (You have user mode +Z set but are not connected via SSL/TLS)
Cannot send to user migs (You must be connected via SSL/TLS to message this user)

Ssl users on hub0 and hub1 are able to communicate with each other but not to anyone on hub2 and vice versa.
Steps To ReproduceLink 3 or more servers. Try to send any ctcp to the raspberry pi server 2 hops away.

User modes at the time of testing +iwrsxztZpT

/msg user <msg>
/notice user <msg>
Additional Informationoutcome:

Cannot send to user migs (You have user mode +Z set but are not connected via SSL/TLS)
Cannot send to user migs (You must be connected via SSL/TLS to message this user)

This happens with TLS connected members
Tagsbug, Module, Secure Links, SSL
3rd party modules

Activities

syzop

2017-05-28 09:36

administrator   ~0019773

Thanks, I can reproduce the issue.

syzop

2017-05-28 09:43

administrator   ~0019774

Fixed, thanks again for the report :)

commit 6c3c55b4e524fffd7ef0ccb526af0218397996da
Author: Bram Matthys <syzop@vulnscan.org>
Date: Sun May 28 09:41:11 2017 +0200

    Fix new user mode +Z (secureonlymsg) not working properly across
    server links. Reported by HeXiLeD (0004953).

https://github.com/unrealircd/unrealircd/commit/6c3c55b4e524fffd7ef0ccb526af0218397996da

Issue History

Date Modified Username Field Change
2017-05-19 14:12 HeXiLeD New Issue
2017-05-19 14:12 HeXiLeD Tag Attached: bug
2017-05-19 14:12 HeXiLeD Tag Attached: Module
2017-05-19 14:12 HeXiLeD Tag Attached: Secure Links
2017-05-19 14:12 HeXiLeD Tag Attached: SSL
2017-05-28 09:36 syzop Assigned To => syzop
2017-05-28 09:36 syzop Status new => confirmed
2017-05-28 09:36 syzop Note Added: 0019773
2017-05-28 09:43 syzop Status confirmed => resolved
2017-05-28 09:43 syzop Resolution open => fixed
2017-05-28 09:43 syzop Fixed in Version => 4.0.12.1
2017-05-28 09:43 syzop Note Added: 0019774